PassThrough Requests - Loxo ATS

List Country Ids

Use the id field, in the response, as country inside jobOffices[0] object while creating a job.

A cURL request could look like this:

curl --location 'https://api.getknit.dev/v1.0/passthrough' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--header 'X-Knit-Integration-Id: <YOUR_INTEGRATION_ID>' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
    "method": "GET",
    "path": "countries"
}'

List State Ids

Use the id field, in the response, as state inside jobOffices[0] object while creating a job.

A cURL request could look like this:

curl --location 'https://api.getknit.dev/v1.0/passthrough' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--header 'X-Knit-Integration-Id: <YOUR_INTEGRATION_ID>' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
    "method": "GET",
    "path": "countries/{countryId}/states"
}'

List employmentType Ids

Use the id field, in the response, as employmentType while creating a job.

A cURL request could look like this:

curl --location 'https://api.getknit.dev/v1.0/passthrough' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--header 'X-Knit-Integration-Id: <YOUR_INTEGRATION_ID>' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
    "method": "GET",
    "path": "job_types"
}'